commit 24c18c4fd625938dfed7508b402577eb03037407
Author: freddy77 <freddy77>
Date:   Mon Aug 17 16:52:31 2009 +0000

    applied David Wood patch for Sybase host process

diff --git a/ChangeLog b/ChangeLog
index 16197e5..6f32d10 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Aug 17 18:52:20 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/login.c: applied David Wood patch for Sybase host process
+
 Fri Aug 14 15:53:01 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac:
 	- use pkg-config instead of libgnutls-config if possible
@@ -1712,4 +1715,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2837 2009/08/14 13:53:16 freddy77 Exp $
+$Id: ChangeLog,v 1.2838 2009/08/17 16:52:31 freddy77 Exp $
diff --git a/src/tds/login.c b/src/tds/login.c
index a51290c..0c64fda 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.185 2009/07/20 17:38:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.186 2009/08/17 16:52:31 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -593,7 +593,8 @@ tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 	tds_put_login_string(tds, tds_dstr_cstr(&connection->client_host_name), TDS_MAX_LOGIN_STR_SZ);	/* client host name */
 	tds_put_login_string(tds, tds_dstr_cstr(&connection->user_name), TDS_MAX_LOGIN_STR_SZ);	/* account name */
 	tds_put_login_string(tds, tds_dstr_cstr(&connection->password), TDS_MAX_LOGIN_STR_SZ);	/* account password */
-	tds_put_login_string(tds, "37876", TDS_MAX_LOGIN_STR_SZ);	/* host process */
+	sprintf(blockstr, "%d", (int) getpid());
+	tds_put_login_string(tds, blockstr, TDS_MAX_LOGIN_STR_SZ);	/* host process */
 #ifdef WORDS_BIGENDIAN
 	if (tds->emul_little_endian) {
 		tds_put_n(tds, le1, 6);

